<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/army', army?.id]">{{ army?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item><a [routerLink]="['/army', army?.id, 'donate']">{{ 'Donations.massDonate' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ 'Donations.History' | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-collapse>
  <nz-collapse-panel *ngFor="let donation of donationHistory?.list" [nzHeader]="donateHeader" [nzExtra]="donateExtra"
    [nzActive]="false">
    <ng-template #donateHeader>
      {{ 'Donations.Donaton' | translate }}: {{ donation.createdOn | date: "yyyy-MM-dd HH:mm" }}
    </ng-template>
    <ng-template #donateExtra>
      <nz-tag [nzColor]="'cyan'" *ngIf="donation.squad">{{ 'Donations.Squad' | translate }}: {{ donation.squad.name }}</nz-tag>
      <nz-tag [nzColor]="'green'">{{ 'Donations.By' | translate }}: {{ donation.donator.name }}</nz-tag>
      <nz-tag [nzColor]="'lime'">{{ 'Donations.Receivers' | translate }}: {{ donation.members.length }}</nz-tag>
      <nz-tag [nzColor]="'cyan'">{{ 'Donations.Items' | translate }}: {{ donation.items.length }}</nz-tag>
    </ng-template>
    <div nz-row nzJustify="space-between" style="width: 100%" nzGutter="12">
      <div nz-col nzXs="24" nzMd="16" style="margin-top: 10px">
        <nz-card [nzTitle]="'Donations.donatedPackage' | translate " nzSize="small">
          <div nz-row [nzGutter]="3">
            <div nz-col nzXs="12" nzSm="8" nzMd="8" nzLg="6" *ngFor="let item of donation?.items; let i = index">
              <nz-card style="text-align: center" nzSize="small">
                <img nz-tooltip nzTooltipTitle="{{ item?.name | translate }}" src="{{ item?.icon }}" width="30"
                  height="30" />
                <nz-divider></nz-divider>
                <div style="
                    display: flex;
                    justify-content: center;
                    width: 100%;
                  ">
                  <span style="margin-top: 5px">
                    <nz-tag nzColor="default">
                      {{ item?.amount }}
                    </nz-tag>
                  </span>
                  <span style="margin-top: 5px">
                    <nz-tag nzColor="default">
                      <span style="color: gold" innerHtml="{{ item?.quality | q }}"></span>
                    </nz-tag>
                  </span>
                </div>
              </nz-card>
            </div>
            <div nz-col nzXs="12" nzSm="8" nzMd="8" nzLg="6" *ngFor="let item of donation?.currencies; let i = index">
              <nz-card style="text-align: center" nzSize="small">
                <img nz-tooltip nzTooltipTitle="{{ item?.name | translate }}" src="{{ item?.icon }}" width="30"
                  height="30" />
                <nz-divider></nz-divider>
                <div style="
                    display: flex;
                    justify-content: center;
                    width: 100%;
                  ">
                  <span style="margin-top: 5px">
                    <nz-tag nzColor="default">
                      {{ item?.amount }}
                    </nz-tag>
                  </span>
                </div>
              </nz-card>
            </div>
          </div>
        </nz-card>
      </div>
      <div nz-col nzXs="24" nzMd="8" style="margin-top: 10px">
        <nz-list nzBordered [nzHeader]="'Donations.packageRecipients' | translate" nzSize="small">
          <nz-list-item *ngFor="let member of donation?.members; let i = index">
            <a [routerLink]="['/citizen', member.id]" target="_blank">{{ member.name }}</a>
          </nz-list-item>
        </nz-list>
      </div>
    </div>
  </nz-collapse-panel>
</nz-collapse>